New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Avatars

What would stop an upscaled export from using the sharpest upscale

POST
/api/v1/talking-head/videos/{video_id}/export-check

Path Parameters

video_id*Video Id

Request Body

application/json
  1. body
container?Container

Output container

Default"mp4"
Value in"mp4""mov""mkv"
quality?Quality

original copies the stored clip with no re-encode

Default"original"
Value in"original""high""medium""small"
resolution?Resolution

Output size. 2160 upscales to 4K and 1440 to 1440p. A video already that size or larger keeps its own size. original keeps the rendered size

Default"original"
Value in"original""2160""1440""1080""720"

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/talking-head/videos/string/export-check' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null